Global Search
curl --request GET \
--url https://api.example.com/api/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query": "<string>",
"took_ms": 123,
"datasets": [
{
"id": "<string>",
"name": "<string>",
"path": "<string>",
"type": "<string>",
"status": "<string>",
"severity": "<string>",
"vulnerabilities": 123
}
],
"projects": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"scans": [
{
"id": "<string>",
"scan_type": "<string>",
"status": "<string>",
"dataset_id": "<string>",
"dataset_name": "<string>",
"dataset_dir": "<string>",
"created_at": "<string>"
}
],
"results": [
{
"id": "<string>",
"scan_id": "<string>",
"dataset_id": "<string>",
"dataset_name": "<string>",
"filepath": "<string>",
"vulnerability_type": "<string>",
"severity": "<string>"
}
],
"users": [
{
"id": 123,
"email": "<string>",
"name": "<string>",
"roles": [
"<string>"
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}search
Global Search
GET
/
api
/
search
Global Search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
Search query
Max results per type
Required range:
1 <= x <= 50Available options:
dataset, project, scan, result, user Include scan results in the search
Cookies
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

